import { SQS } from 'aws-sdk';
import { SendMessageResult } from 'aws-sdk/clients/sqs';
import { AWSError } from 'aws-sdk/lib/error';
export declare class SqsClient {
    private readonly sqs?;
    constructor(sqs?: SQS);
    private static defaultRegion;
    static setRegion(region: string): void;
    sendMessage(queue: string, body: any, successCallback?: (result?: SendMessageResult) => void, errorCallback?: (err: AWSError) => void): Promise<void>;
    receiveMessage(queue: string, options: {
        count?: number;
        timeout?: number;
        delete?: boolean;
    }, successCallback?: (result?: string) => void, errorCallback?: (err: AWSError) => void): Promise<void>;
    private getQueueUrl;
}
